Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
openvrml::browser_event Class Reference

A `browser`-wide event. More...

`#include <openvrml/browser.h>`

List of all members.

## Public Types

enum | type_id { initialized = 1, shutdown = 2 }
| `browser_event` type identifier. More...

## Public Member Functions

type_id | id () const throw ()
| Event type identifier.
browser & | source () const throw ()
| The `browser` that emitted the event.

## Detailed Description

A `browser`-wide event.

## Member Enumeration Documentation

enum openvrml::browser_event::type_id

`browser_event` type identifier.

Enumerator:

  initialized | An `initialized` event is sent once the world has loaded and all nodes in the initial scene have been initialized.
  shutdown | A `shutdown` event is sent once all of the nodes in the scene have been shut down.

## Member Function Documentation

openvrml::browser_event::type_id openvrml::browser_event::id | ( |  | ) | const throw ()

Event type identifier.

Returns:
  the event type identifier.

openvrml::browser & openvrml::browser_event::source | ( |  | ) | const throw ()

The `browser` that emitted the event.

Returns:
  the `browser` that emitted the event.